> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all extensions of a space GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/extensions Reference: https://contentful.com/developers/docs/references/content-management-api/ui-extensions/get-all-extensions-of-a-space ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [], "limit": 100, "skip": 0, "sys": { "type": "Array" }, "total": 0 } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // First: Fetch an extension to change. client .uiExtensions() .async() .fetchOne( "", new CMACallback() { @Override protected void onSuccess(CMAUiExtension result) { // Next: Update it. result.getExtension().setName("New name"); // Last: Sent it to contentful. client .uiExtensions() .async() .update( result, new CMACallback() { @Override protected void onSuccess(CMAUiExtension result) { new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Successfully updated one ui extension." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not update the extension." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch one extension." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAUiExtension extension = client .uiExtensions() .fetchOne(""); extension.getExtension().setName("new named extension"); client .uiExtensions() .update(extension); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val extension = client .uiExtensions() .fetchOne("") extension.extension.name = "new named extension" client .uiExtensions() .update(extension) ``` ```js-legacy JavaScript (legacy) // SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) // Create extension let uiExtension = await client.extension.create( { spaceId: '', environmentId: '', }, { extension: { name: 'My extension', src: 'https://www.example.com', fieldTypes: [ { type: 'Symbol', }, ], sidebar: false, }, } ); // Update extension uiExtension = await client.extension.update( { spaceId: '', environmentId: '', extensionId: '', }, { sys: uiExtension.sys, extension: { ...uiExtension.extension, name: 'Even more awesome extension', }, } ); ``` ```php PHP $client = new \Contentful\Management\Client(''); $environment = $client->getEnvironmentProxy('', ''); $extension = new \Contentful\Management\Resource\Extension('My awesome extension'); $extension->setSource('https://www.example.com/my') ->setSidebar(false) ->addNewFieldType('Symbol') ->addNewFieldType('Text'); $environment->create($extension); $extension->setName('Even more awesome extension'); $extension->update(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') ui_extension = client.ui_extensions('', '').create( extension: { 'name' => 'My extension', 'src' => 'https://www.example.com', 'fieldTypes' => [{"type" => "Symbol"}], 'sidebar' => false } ) ui_extension.sidebar = true ui_extension.save ``` ```python Python from contentful_management import Client client = Client('') ui_extension = client.ui_extensions('', '').create({ 'extension': { 'name': 'My extension', 'src': 'https://www.example.com', 'fieldTypes': [{"type": "Symbol"}], 'sidebar': False } }) ui_extension.sidebar = True ui_extension.save() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var extension = new UiExtension() { SystemProperties = new SystemProperties { Id = "" }, Name = "My awesome extension", Src = "https://example.com/my", FieldTypes = new List() { "Symbol", "Text" }, Sidebar = false }; await client.CreateOrUpdateExtension(extension); ``` ```swift Swift No snippet for this SDK. ```